Summary:        DBus library in Python 3
Name:           python-dasbus
Version:        1.7
Release:        1%{?dist}
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/dasbus
Source0:        https://github.com/rhinstaller/dasbus/releases/download/v%{version}/dasbus-%{version}.tar.gz

BuildArch:      noarch

%description
Dasbus is a DBus library written in Python 3, based on GLib and inspired 
by pydbus. 

%package -n python3-dasbus
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-gobject-base

%description -n python3-dasbus
Dasbus is a DBus library written in Python 3, based on GLib and inspired 
by pydbus. python3-dasbus is a subpackage of python-dasbus.

%prep
%autosetup -n dasbus-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-dasbus
%license LICENSE
%doc README.md
%{python3_sitelib}/dasbus-*.egg-info/
%{python3_sitelib}/dasbus/

%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 1.7-1
- Bump version to 1.7

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 6 2022 Cheng Xin <denisecheng@tencent.com> - 1.6-1
- package init.
